JiBXConstrainedParseException (JiBX Java data binding to XML - Version 1.2.6)
Date: 2014-12-30

org.jibx.runtime

## Class JiBXConstrainedParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jibx.runtime.JiBXException
      - - org.jibx.runtime.JiBXParseException
        - - org.jibx.runtime.JiBXConstrainedParseException

- All Implemented Interfaces:
    java.io.Serializable

      public class JiBXConstrainedParseException
      extends JiBXParseException

  Thrown when a "constrained" parsing exception is encountered (e.g. an enumerated value).
  Author:
    Joshua Davies
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JiBXConstrainedParseException(java.lang.String msg, java.lang.String value, java.lang.String[] allowableValues)`
    `JiBXConstrainedParseException(java.lang.String msg, java.lang.String value, java.lang.String[] allowableValues, java.lang.String namespace, java.lang.String tagName, java.lang.Throwable root)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Solely used by unit tests.
    `java.lang.String` | `getMessage()` Append useful parsing details onto the default message.

    - ### Methods inherited from class org.jibx.runtime.JiBXParseException

      `setNamespace, setTagName`

    - ### Methods inherited from class org.jibx.runtime.JiBXException

      `getCause, getRootCause, printStackTrace, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JiBXConstrainedParseException

          public JiBXConstrainedParseException(java.lang.String msg,
                                       java.lang.String value,
                                       java.lang.String[] allowableValues)

    - #### JiBXConstrainedParseException

          public JiBXConstrainedParseException(java.lang.String msg,
                                       java.lang.String value,
                                       java.lang.String[] allowableValues,
                                       java.lang.String namespace,
                                       java.lang.String tagName,
                                       java.lang.Throwable root)

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Description copied from class: `JiBXParseException`
      Append useful parsing details onto the default message.
      Overrides:
        `getMessage` in class `JiBXParseException`
      Returns:
        the default message with "constraint" text appended.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Solely used by unit tests.
      Overrides:
        `equals` in class `JiBXParseException`
      Parameters:
        `obj` - what to compare against
      Returns:
        true or false

Project Web Site |